﻿using Brizco.Domain.Entities.Shift;

namespace Brizco.Domain.Dtos.LargDtos;

public class ShiftPlanLDto : BaseDto<ShiftPlanLDto , ShiftPlan>
{
    public DateTime PlanFor { get; set; }
    public Guid RoutineId { get; set; }
    public bool IsCompleted { get; set; }
    public int CompletePercent { get; set; }
    public string CompleteDescription { get; set; } = string.Empty;
    public Guid ShiftId { get; set; }
    public List<ShiftPlanUserSDto> Users { get; set; } = new();
    public Guid SupervisorId { get; set; }
    public string SupervisorFullName { get; set; } = string.Empty;
}