﻿using Brizco.Domain.Entities.Shift;

namespace Brizco.Domain.Dtos.SmallDtos;

public class ShiftPlanSDto : BaseDto<ShiftPlanSDto,ShiftPlan>
{
    public DateTime PlanFor { get; internal set; }
    public bool IsCompleted { get; internal set; }
    public int UndoneActivitiesCount { get; set; }
    public int DoneActivitiesCount { get; set; }
    public int TotalActivitiesCount { get; set; }
    public int StaffCount { get; set; }
    public int CompletePercent { get; internal set; }
    public string CompleteDescription { get; internal set; } = string.Empty;
    public Guid ShiftId { get; set; }
    public string ShiftTitle { get; internal set; } = string.Empty;

    public List<ShiftPlanUserSDto> Users { get; set; } = new();
}