﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Brizco.Repository.Migrations
{
    /// <inheritdoc />
    public partial class editShiftPlanAddComplete : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "CompleteDescription",
                schema: "public",
                table: "ShiftPlans",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<int>(
                name: "CompletePercent",
                schema: "public",
                table: "ShiftPlans",
                type: "integer",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<bool>(
                name: "IsCompleted",
                schema: "public",
                table: "ShiftPlans",
                type: "boolean",
                nullable: false,
                defaultValue: false);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CompleteDescription",
                schema: "public",
                table: "ShiftPlans");

            migrationBuilder.DropColumn(
                name: "CompletePercent",
                schema: "public",
                table: "ShiftPlans");

            migrationBuilder.DropColumn(
                name: "IsCompleted",
                schema: "public",
                table: "ShiftPlans");
        }
    }
}
