﻿using Brizco.Domain.Entities.Shift;

namespace Brizco.Domain.Dtos.SmallDtos;
public class ShiftSDto : BaseDto<ShiftSDto,Shift>
{
    public string Title { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public int UndoneActivitiesCount { get; set; }
    public int DoneActivitiesCount { get; set; }
    public int TotalActivitiesCount { get; set; }
    public Guid CurrentShiftPlanId { get; set; }
    public bool HasCurrentShiftPlan { get; set; }
    public bool IsCompleted { get; set; }
    public TimeSpan StartAt { get; set; }
    public TimeSpan EndAt { get; set; }
    public Guid ComplexId { get; set; }
    public List<DayOfWeek> Days { get; set; } = new();
}
